com.rscja.team.qcom.r1.hf

## Class HF15693

- java.lang.Object
- - com.rscja.team.qcom.r1.hf.HFBase
  - - com.rscja.team.qcom.r1.hf.HF15693

- All Implemented Interfaces:
    IHF15693

      public class HF15693
      extends HFBase
      implements IHF15693

- - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.r1.hf.HFBase

      `COMMAND_15693_SELECT, COMMAND_ACTIVATEIDLE, COMMAND_ANTICOLL, COMMAND_ANTICOLLINVENTORY, COMMAND_AUTHENTICATION, COMMAND_COS_COMMAND, COMMAND_DECREMENT, COMMAND_FM1216RESET, COMMAND_GET_MUL_BLOCK, COMMAND_GET_SYSTEM_INFO, COMMAND_HALT, COMMAND_HALT_TYPEB, COMMAND_INCREMENT, COMMAND_INITVAL, COMMAND_INVENTORY, COMMAND_LOCK_AFI, COMMAND_LOCK_BLOCK, COMMAND_LOCK_DSFID, COMMAND_READ, COMMAND_READ_SM, COMMAND_READVAL, COMMAND_REQUESTA, COMMAND_RESET_TO_READY, COMMAND_RESTORE, COMMAND_SELECT, COMMAND_TRANSFER, COMMAND_TRANSFERCOMMAND, COMMAND_TYPEARATS, COMMAND_TYPEAREST, COMMAND_TYPEB_GET_UID, COMMAND_TYPEBREST, COMMAND_ULANTICOLL, COMMAND_ULWRITE, COMMAND_WRITE, COMMAND_WRITE_AFI, COMMAND_WRITE_DSFID, COMMAND_WRITE_SM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HF15693(R1HFUSB usb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `GetSystemInfo(int cMode, byte[] pcUid)`
    `boolean` | `lockAFI()` 锁定AFI(lock AFI)
    `boolean` | `lockDsfid()` 锁定Dsfid(lock Dsfid)
    `byte[]` | `read(HF15693RequestEntity entity, int block)` 读卡(Read card)
    `HF15693RequestEntity` | `request15693()` 寻卡(Search card)
    `boolean` | `write(HF15693RequestEntity entity, int block, byte[] pszData)` 写卡(Write card)
    `boolean` | `writeAFI(HF15693RequestEntity entity, byte afi)` 写入AFI(Write AFi)
    `boolean` | `writeDsfid(HF15693RequestEntity entity, byte dsfid)` 写入Dsfid(Write Dsfid)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HF15693

          public HF15693(R1HFUSB usb)

  - ### Method Detail

    - #### request15693

          public HF15693RequestEntity request15693()

      寻卡(Search card)
      Specified by:
        `request15693` in interface `IHF15693`
      Returns:
        success will return HF15693RequestEntity data, failure will return null.

    - #### read

          public byte[] read(HF15693RequestEntity entity,
                             int block)

      读卡(Read card)
      Specified by:
        `read` in interface `IHF15693`
      Parameters:
        `entity` - HF15693RequestEntity
        `block` - 数据块0~27 (the cBlock of card, value 0~27 )
      Returns:
        success will return data, failure will return null.

    - #### write

          public boolean write(HF15693RequestEntity entity,
                               int block,
                               byte[] pszData)

      写卡(Write card)
      Specified by:
        `write` in interface `IHF15693`
      Parameters:
        `entity` - HF15693RequestEntity
        `block` - 数据块0~27 (the cBlock of card, value 0~27 )
        `pszData` - 四个字节的数据(4 bytes Block data)
      Returns:
        true:success false:fail

    - #### writeAFI

          public boolean writeAFI(HF15693RequestEntity entity,
                                  byte afi)

      写入AFI(Write AFi)
      Specified by:
        `writeAFI` in interface `IHF15693`
      Parameters:
        `entity` - HF15693RequestEntity
        `afi` - AFI值(AFI value)

    - #### lockAFI

          public boolean lockAFI()

      锁定AFI(lock AFI)
      Specified by:
        `lockAFI` in interface `IHF15693`
      Returns:
        true:success false:fail

    - #### writeDsfid

          public boolean writeDsfid(HF15693RequestEntity entity,
                                    byte dsfid)

      写入Dsfid(Write Dsfid)
      Specified by:
        `writeDsfid` in interface `IHF15693`
      Parameters:
        `entity` - HF15693RequestEntity
        `dsfid` - Dsfid值(Dsfid value)

    - #### lockDsfid

          public boolean lockDsfid()

      锁定Dsfid(lock Dsfid)
      Specified by:
        `lockDsfid` in interface `IHF15693`
      Returns:
        true:success false:fail

    - #### GetSystemInfo

          public byte[] GetSystemInfo(int cMode,
                                      byte[] pcUid)